Package com.google.android.exoplayer2.metadata.scte35

## Class TimeSignalCommand

- java.lang.Object
- - com.google.android.exoplayer2.metadata.scte35.SpliceCommand
  - - com.google.android.exoplayer2.metadata.scte35.TimeSignalCommand

- All Implemented Interfaces:
    `Parcelable`, `Metadata.Entry`

      public final class TimeSignalCommand
      extends SpliceCommand

  Represents a time signal command as defined in SCTE35, Section 9.3.4.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface android.os.Parcelable

      `Parcelable.ClassLoaderCreator<T extends Object>, Parcelable.Creator<T extends Object>`

  - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static Parcelable.Creator<TimeSignalCommand>` | `CREATOR` |
    `long` | `playbackPositionUs` | Equivalent to `ptsTime` but in the playback timebase.
    `long` | `ptsTime` | A PTS value, as defined in SCTE35, Section 9.3.4.

    - ### Fields inherited from interface android.os.Parcelable

      `CONTENTS_FILE_DESCRIPTOR, PARCELABLE_WRITE_RETURN_VALUE`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `writeToParcel​(Parcel dest, int flags)` |

    - ### Methods inherited from class com.google.android.exoplayer2.metadata.scte35.SpliceCommand

      `describeContents, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface com.google.android.exoplayer2.metadata.Metadata.Entry

      `getWrappedMetadataBytes, getWrappedMetadataFormat, populateMediaMetadata`

- - ### Field Detail

    - #### ptsTime

          public final long ptsTime

      A PTS value, as defined in SCTE35, Section 9.3.4.

    - #### playbackPositionUs

          public final long playbackPositionUs

      Equivalent to `ptsTime` but in the playback timebase.

    - #### CREATOR

          public static final Parcelable.Creator<TimeSignalCommand> CREATOR

  - ### Method Detail

    - #### writeToParcel

          public void writeToParcel​(Parcel dest,
                                    int flags)